%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		openshot-qt
Version:	2.4.1
Release:	%mkrel 1
Summary:	Simple and Powerful video editor
Group:		Video
License:	GPLv3+
URL:		http://www.openshot.org/
Source0:	https://launchpad.net/openshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz
Source1:    openshot-qt.png
Patch0:		openshot-qt-2.1.0-fix-install.patch

BuildRequires:	lib64python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-qt5-devel
BuildRequires:	libopenshot-devel >= 0.1.7
BuildRequires:	libopenshot-audio-devel

Requires: python3-qt5
Requires: python3-libopenshot
Requires: python3-httplib2
Requires: python3-pillow
Requires: python3-pyxdg
Requires: python3-pyzmq
Requires: python3-setuptools
Requires: python3-sip
Requires: python3
Requires: python3-requests

Requires: ffmpeg
Requires: frei0r-plugins
Requires: libopenshot-audio
Requires: lib64openshot-audio6
Requires: lib64openshot14
Requires: lib64pgm5.2_0 
Requires: lib64sodium23 
Requires: lib64zmq5


%description
OpenShot Video Editor is a free, open-source, non-linear video editor. It
can create and edit videos and movies using many popular video, audio,
image formats.  Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
Xbox, and many more common formats!

Features include:
  * Multiple tracks (layers).
  * Compositing, image overlays, and watermarks.
  * Support for image sequences (rotoscoping).
  * Key-frame animation.
  * Video and audio effects (chroma-key).
  * Transitions (lumas and masks).
  * 3D animation (titles and simulations).
  * Chroma key (green screen & blue screen).
  * Transcode (convert video encodings).
  * Upload videos (YouTube and Vimeo supported).

This is the python3 + PyQt5 version of OpenShot.

%prep
%setup -q
%apply_patches

%build
%py3_build

%install
rm -rf %buildroot
%py3_install

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}%{python3_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

#icon in pixmaps
install -Dm 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/openshot-qt.png

%files
%doc README AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/mime/packages/%{name}.xml
%{python3_sitelib}
%{_datadir}/pixmaps/openshot-qt.png


%changelog
* Thu Nov 16 2017 bb2 <bb2> - 2.4.1-1pclos2017
- new version

* Tue Sep 12 2017 bb2 <bb2> - 2.4.0-2pclos2017
- rebuild against updates

* Fri Sep 08 2017 bb2 <bb2> - 2.4.0-1pclos2017
- new version

